curl --request POST \
--url https://api.siftstack.com/api/v1/webhooks/signature-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"signatureKey": {
"signatureKey": "<string>",
"active": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Create a webhook signature key and set its activation state. If a webhook signature key is active, the bodies of all webhooks will be signed using the signature key with HMAC-SHA-256.The signature generated will then included in the X-Sift-Signature HTTP header. Only one key can be held per organization. If an existing key exists, then this will simply return it.See WebhookService_RotateWebhookSignatureKey to rotate the key.
curl --request POST \
--url https://api.siftstack.com/api/v1/webhooks/signature-key \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'{
"signatureKey": {
"signatureKey": "<string>",
"active": true,
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The request for a call to WebhookService_CreateWebhookSignatureKey to create a webhook signature key.
The request for a call to WebhookService_CreateWebhookSignatureKey to create a webhook signature key.
A successful response.
The response for a call to WebhookService_CreateWebhookSignatureKey. The active field indicates whether
or not whether the key is currently active.
Show child attributes
Was this page helpful?